tigase.component.exceptions

## Class ComponentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.component.exceptions.ComponentException

- All Implemented Interfaces:
    Serializable

      public class ComponentException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentException(Authorization errorCondition)`
    `ComponentException(Authorization errorCondition, String text)`
    `ComponentException(Authorization errorCondition, String text, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `Authorization` | `getErrorCondition()`
    `protected String` | `getErrorMessagePrefix()`
    `String` | `getMessage()`
    `String` | `getMessageWithPosition()`
    `String` | `getName()`
    `String` | `getText()`
    `String` | `getType()`
    `Packet` | `makeElement(Packet packet, boolean insertOriginal)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentException

          public ComponentException(Authorization errorCondition)

    - #### ComponentException

          public ComponentException(Authorization errorCondition,
                                    String text)

      Parameters:
        `errorCondition` -
        `text` - human readable message will be send to client

    - #### ComponentException

          public ComponentException(Authorization errorCondition,
                                    String text,
                                    String message)

      Parameters:
        `errorCondition` -
        `message` - exception message for logging
        `text` - human readable message will be send to client

  - ### Method Detail

    - #### getCode

          public String getCode()

      Returns:
        Returns the code.

    - #### getErrorCondition

          public Authorization getErrorCondition()

    - #### getErrorMessagePrefix

          protected String getErrorMessagePrefix()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getMessageWithPosition

          public String getMessageWithPosition()

    - #### getName

          public String getName()

      Returns:
        Returns the name.

    - #### getText

          public String getText()

    - #### getType

          public String getType()

      Returns:
        Returns the type.

    - #### makeElement

          public Packet makeElement(Packet packet,
                                    boolean insertOriginal)
                             throws PacketErrorTypeException

      Throws:
        `PacketErrorTypeException`

Copyright © 2018 "Tigase, Inc.". All rights reserved.